=== debian/changelog ===
mbarcode (0.1.4-0) unstable; urgency=low

  Added rotation testing and stacked windows.

 -- Svenn-Arne Dragly <s@dragly.com>  Thu, 1 Apr 2010 01:59:00 +0000
