## mbarcode 0.1.6-0

=== debian/changelog ===
mbarcode (0.1.6-0) unstable; urgency=low

  * Added UTF-8 support (hopefully).

 -- Svenn-Arne Dragly <s@dragly.com>  Thu, 1 Apr 2010 01:59:00 +0000

mbarcode (0.1.5-0) unstable; urgency=low

  Added web request plugin
  Added copy button to results window to allow copying barcode data.

 -- Simon Pickering <S.G.Pickering@bath.ac.uk>  Mon, 12 Apr 2010 14:21:00 +0100
