## mbarcode 0.1.7-0

=== debian/changelog ===
mbarcode (0.1.7-0) unstable; urgency=low

  * Another attempt at UTF-8 support (again, hopefully).

 -- Svenn-Arne Dragly <s@dragly.com>  Fri, 21 May 2010 15:59:00 +0000
