## mbarcode 0.1.8-0

=== debian/changelog ===
mbarcode (0.1.8-0) unstable; urgency=low

  * Automatic refocusing.

 -- Svenn-Arne Dragly <s@dragly.com>  Fri, 21 May 2010 15:59:00 +0000
