## mbarcode 0.1.9-0

=== debian/changelog ===
mbarcode (0.1.9-0) unstable; urgency=low

  * Fixed bug with automatic refocusing.

 -- Svenn-Arne Dragly <s@dragly.com>  Fri, 21 May 2010 15:59:00 +0000
