## mbarcode 0.1.10-0

=== debian/changelog ===
mbarcode (0.1.10-0) unstable; urgency=low

  * First build against PR1.2.

 -- Svenn-Arne Dragly <s@dragly.com>  Tue, 25 May 2010 23:55:00 +0000
