=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
                 libgstreamer0.10-dev, libosso-abook-dev | maemo-version (<5.0), libosso-dev, libgtk2.0-dev, 
                 libgconf2-dev, libglib2.0-dev, libebook-dev | maemo-version (<5.0), libgstreamer-plugins-base0.10-dev,
                 libcurl3-dev, mce-dev | maemo-version (<5.0), libmodest-dbus-client-dev, libhildonfm2-dev,
-                libqt4-maemo5-dev
+                libqt4-dev
 Standards-Version: 3.7.2
 
 Package: mbarcode
@@ -14,8 +14,7 @@
 Depends: gstreamer0.10-plugins-bad, libatk1.0-0 (>= 1.24.0), libc6 (>= 2.5.0-1), libcairo2, libconic0, libcurl3 (>= 7.16.2-1), libdbus-1-3 (>= 1.1.4), libdbus-glib-1-2 (>= 0.76), libdmtx0a, libebook (>= 1.4.2.1), libedataserver (>= 1.4.2.1), libfontconfig1 (>= 2.6.0), libfreetype6 (>= 2.3.9), libgcc1 (>= 1:4.2.1), libgconf2-6 (>= 2.13.5), libglib2.0-0 (>= 2.20.0), libgstreamer-plugins-base0.10-0 (>= 0.10.25), libgstreamer0.10-0 (>= 0.10.25), libgtk2.0-0 (>= 2:2.12.9-0osso1), libhildon1 (>= 2.2.0), libhildonfm2 (>= 1:2.28+0m5), libhildonmime0 (>= 2.1.3), libmcclient6, libmodest-dbus-client, libosso-abook, libosso-gnomevfs2-0, libosso1 (>= 2.23), libpango1.0-0, libqt4-maemo5-core (>= 4.6.2~git20100212), libqt4-maemo5-gui (>= 4.6.2~git20100212), libstdc++6 (>= 4.2.1), libtelepathy-glib0 (>= 0.7.37), libxml2 (>= 2.6.32), libzbar0, mbarcode-plugin-ii, mbarcode-plugin-qrcode, mbarcode-plugin-webrequest
 Description: mBarcode is a 1D & 2D barcode scanning app for the Maemo platform.
  mBarcode is a barcode scanning app for the Maemo platform, which allows a user to scan 
- 1D (e.g. EAN/UPC barcodes) and look them up using an Amazon webscraper (which needs work, 
- patches welcome). You can also scan QR codes and Datamatrix codes and display the 
+ 1D (e.g. EAN/UPC barcodes) and look them up on different websites. You can also scan QR codes and Datamatrix codes and display the 
  information contained therein. If the information is an URL, the browser will be opened 
  for you, and if it's a VCARD it will be inserted into your contacts database. 
  Other payloads will also be handled in the fullness of time!
