## mbarcode 0.1.10-1

=== Makefile ===
#############################################################################
# Makefile for building: mbarcode
# Generated by qmake (2.01a) (Qt 4.6.2) on: Mon May 24 12:43:31 2010
# Project:  mbarcode-qt.pro
# Template: app
# Command: /usr/bin/qmake-qt4 -spec /usr/share/qt4/mkspecs/linux-g++ -unix CONFIG+=debug -o Makefile mbarcode-qt.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DDATADIR="/usr/share" -DPKGDATADIR="" -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -g -pthread -I/usr/include/gstreamer-0.10 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libxml2 -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -g -pthread -I/usr/include/gstreamer-0.10 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libxml2 -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4 -I. -I. -I.
LINK          = g++
LFLAGS        = 
LIBS          = $(SUBLIBS)  -L/usr/lib -lgstinterfaces-0.10 -ldmtx -pthread -lgstreamer-0.10 -lgobject-2.0 -lgmodule-2.0 -lxml2 -lgthread-2.0 -lrt -lglib-2.0 -lQtGui -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake-qt4
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = barcodedetector.cpp \
		main.cpp \
		mainwindow.cpp \
		resultswindow.cpp \
		videowidget.cpp \
		dmtxdecoderthread.cpp \
		pluginintermediate.cpp \
		zbardecoderthread.cpp \
		settingswindow.cpp \
		pluginsettings.cpp moc_barcodedetector.cpp \
		moc_mainwindow.cpp \
		moc_resultswindow.cpp \
		moc_videowidget.cpp \
		moc_pluginintermediate.cpp \
		moc_settingswindow.cpp \
		moc_pluginsettings.cpp
OBJECTS       = barcodedetector.o \
		main.o \
		mainwindow.o \
		resultswindow.o \
		videowidget.o \
		dmtxdecoderthread.o \
		pluginintermediate.o \
		zbardecoderthread.o \
		settingswindow.o \
		pluginsettings.o \
		moc_barcodedetector.o \
		moc_mainwindow.o \
		moc_resultswindow.o \
		moc_videowidget.o \
		moc_pluginintermediate.o \
		moc_settingswindow.o \
		moc_pluginsettings.o
DIST          = /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/debug.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/link_pkgconfig.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		mbarcode-qt.pro
QMAKE_TARGET  = mbarcode
DESTDIR       = 
TARGET        = mbarcode

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): ui_mainwindow.h ui_resultswindow.h ui_settingswindow.h ui_pluginsettings.h $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: mbarcode-qt.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/debug.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/link_pkgconfig.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -spec /usr/share/qt4/mkspecs/linux-g++ -unix CONFIG+=debug -o Makefile mbarcode-qt.pro
/usr/share/qt4/mkspecs/common/g++.conf:
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/debug.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/link_pkgconfig.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtGui.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -spec /usr/share/qt4/mkspecs/linux-g++ -unix CONFIG+=debug -o Makefile mbarcode-qt.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/mbarcode1.0.0 || $(MKDIR) .tmp/mbarcode1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/mbarcode1.0.0/ && $(COPY_FILE) --parents barcodedetector.h common.h mainwindow.h plugininterfaces.h resultswindow.h videowidget.h dmtxdecoderthread.h sinkplugin.h pluginintermediate.h zbardecoderthread.h settingswindow.h pluginsettings.h .tmp/mbarcode1.0.0/ && $(COPY_FILE) --parents barcodedetector.cpp main.cpp mainwindow.cpp resultswindow.cpp videowidget.cpp dmtxdecoderthread.cpp pluginintermediate.cpp zbardecoderthread.cpp settingswindow.cpp pluginsettings.cpp .tmp/mbarcode1.0.0/ && $(COPY_FILE) --parents mainwindow.ui resultswindow.ui settingswindow.ui pluginsettings.ui .tmp/mbarcode1.0.0/ && (cd `dirname .tmp/mbarcode1.0.0` && $(TAR) mbarcode1.0.0.tar mbarcode1.0.0 && $(COMPRESS) mbarcode1.0.0.tar) && $(MOVE) `dirname .tmp/mbarcode1.0.0`/mbarcode1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/mbarcode1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_barcodedetector.cpp moc_mainwindow.cpp moc_resultswindow.cpp moc_videowidget.cpp moc_pluginintermediate.cpp moc_settingswindow.cpp moc_pluginsettings.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_barcodedetector.cpp moc_mainwindow.cpp moc_resultswindow.cpp moc_videowidget.cpp moc_pluginintermediate.cpp moc_settingswindow.cpp moc_pluginsettings.cpp
moc_barcodedetector.cpp: common.h \
		dmtxdecoderthread.h \
		zbardecoderthread.h \
		barcodedetector.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) barcodedetector.h -o moc_barcodedetector.cpp

moc_mainwindow.cpp: mainwindow.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) mainwindow.h -o moc_mainwindow.cpp

moc_resultswindow.cpp: resultswindow.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) resultswindow.h -o moc_resultswindow.cpp

moc_videowidget.cpp: common.h \
		videowidget.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) videowidget.h -o moc_videowidget.cpp

moc_pluginintermediate.cpp: pluginintermediate.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) pluginintermediate.h -o moc_pluginintermediate.cpp

moc_settingswindow.cpp: settingswindow.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) settingswindow.h -o moc_settingswindow.cpp

moc_pluginsettings.cpp: pluginsettings.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) pluginsettings.h -o moc_pluginsettings.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all: ui_mainwindow.h ui_resultswindow.h ui_settingswindow.h ui_pluginsettings.h
compiler_uic_clean:
	-$(DEL_FILE) ui_mainwindow.h ui_resultswindow.h ui_settingswindow.h ui_pluginsettings.h
ui_mainwindow.h: mainwindow.ui
	/usr/bin/uic-qt4 mainwindow.ui -o ui_mainwindow.h

ui_resultswindow.h: resultswindow.ui
	/usr/bin/uic-qt4 resultswindow.ui -o ui_resultswindow.h

ui_settingswindow.h: settingswindow.ui
	/usr/bin/uic-qt4 settingswindow.ui -o ui_settingswindow.h

ui_pluginsettings.h: pluginsettings.ui
	/usr/bin/uic-qt4 pluginsettings.ui -o ui_pluginsettings.h

compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean compiler_uic_clean 

####### Compile

barcodedetector.o: barcodedetector.cpp common.h \
		barcodedetector.h \
		dmtxdecoderthread.h \
		zbardecoderthread.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o barcodedetector.o barcodedetector.cpp

main.o: main.cpp mainwindow.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o main.cpp

mainwindow.o: mainwindow.cpp mainwindow.h \
		ui_mainwindow.h \
		barcodedetector.h \
		common.h \
		dmtxdecoderthread.h \
		zbardecoderthread.h \
		videowidget.h \
		resultswindow.h \
		plugininterfaces.h \
		sinkplugin.h \
		settingswindow.h \
		pluginsettings.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o mainwindow.o mainwindow.cpp

resultswindow.o: resultswindow.cpp resultswindow.h \
		ui_resultswindow.h \
		sinkplugin.h \
		plugininterfaces.h \
		pluginintermediate.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o resultswindow.o resultswindow.cpp

videowidget.o: videowidget.cpp videowidget.h \
		common.h \
		barcodedetector.h \
		dmtxdecoderthread.h \
		zbardecoderthread.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o videowidget.o videowidget.cpp

dmtxdecoderthread.o: dmtxdecoderthread.cpp dmtxdecoderthread.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o dmtxdecoderthread.o dmtxdecoderthread.cpp

pluginintermediate.o: pluginintermediate.cpp pluginintermediate.h \
		sinkplugin.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o pluginintermediate.o pluginintermediate.cpp

zbardecoderthread.o: zbardecoderthread.cpp zbardecoderthread.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o zbardecoderthread.o zbardecoderthread.cpp

settingswindow.o: settingswindow.cpp settingswindow.h \
		ui_settingswindow.h \
		mainwindow.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o settingswindow.o settingswindow.cpp

pluginsettings.o: pluginsettings.cpp pluginsettings.h \
		ui_pluginsettings.h \
		plugininterfaces.h \
		sinkplugin.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o pluginsettings.o pluginsettings.cpp

moc_barcodedetector.o: moc_barcodedetector.cpp
