=== debian/changelog ===
mbarcode (0.1.10-1) unstable; urgency=low

  * Another build attempt build against PR1.2.

 -- Svenn-Arne Dragly <s@dragly.com>  Wed, 26 May 2010 22:55:00 +0000
