## mbarcode 0.1.11-0

=== debian/changelog ===
mbarcode (0.1.11-0) unstable; urgency=low

  * Add saving of scan history between invocations
    - checkbox in menu to switch on/off
    - individual items can be saved/deleted with a long press
  * Fixed saved image so it is exactly that scanned by the decoder
  * Added ability to save last image from decoder buffer by tapping image
    - for use in reporting e.g. barcodes that don't scan

 -- Simon Pickering <S.G.Pickering@bath.ac.uk>  Fri, 2 Jul 2010 13:53:00 +1000
