## mbarcode 0.2.0-0

=== debian/changelog ===
mbarcode (0.2.0-0) unstable; urgency=low

  * Completely new UI design.
  * Full screen scanning.
  * Color scanning.
  * Using OpenGL to overlay buttons on top of camera stream.
  * There are some performance and power management issues, but these should be sorted out in a future release.

 -- Svenn-Arne Dragly <s@dragly.com>  Wed, 21 Jul 2010 03:00:00 +0200

mbarcode (0.1.13-0) unstable; urgency=low

  * Added Recommends option for plugin packages to control file.
  * Refactored MainWindow into MaemoBarcodeWindow.
  * Refactored SinkPlugin into PluginAction

 -- Svenn-Arne Dragly <s@dragly.com>  Thu, 8 Jul 2010 16:00:00 +0200

mbarcode (0.1.12-1) unstable; urgency=low

  * Fix history list being read back in in the wrong order

 -- Simon Pickering <S.G.Pickering@bath.ac.uk>  Tue, 6 Jul 2010 20:08:00 +0100

mbarcode (0.1.12-0) unstable; urgency=low

  * Enable DBus connection to:
   - make QR code plugin work using hildon-mime
   - broadcast DBus messages when we find a barcode
   - allow external apps to register (via DBus) as plugins

 -- Simon Pickering <S.G.Pickering@bath.ac.uk>  Sat, 3 Jul 2010 15:49:00 +0100
