=== debian/changelog ===
mbarcode (0.2.1-0) unstable; urgency=low

  * Changed settings icon.

 -- Svenn-Arne Dragly <s@dragly.com>  Thu, 22 Jul 2010 16:00:00 +0200
